GNU bug report logs - #25547
25.1.91; emacsclient -c creates frames on the wrong display

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Alex Hutcheson <alexhutcheson@HIDDEN>; merged with #30382; dated Thu, 26 Jan 2017 18:11:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 25547 30382. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jan 2017 18:10:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 13:10:08 2017
Received: from localhost ([127.0.0.1]:45824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cWoUq-0005LN-72
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 13:10:08 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2) (envelope-from
 <3bDuKWA0KDdU1C5O8LK385JFE7FF7C5.3FD2L7-7EL-5D13J7EL.FI7@HIDDEN>)
 id 1cWoUp-0005LB-1z
 for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 13:10:07 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from
 <3bDuKWA0KDdU1C5O8LK385JFE7FF7C5.3FD2L7-7EL-5D13J7EL.FI7@HIDDEN>)
 id 1cWoUg-0005t8-7n
 for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 13:10:01 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58913)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from
 <3bDuKWA0KDdU1C5O8LK385JFE7FF7C5.3FD2L7-7EL-5D13J7EL.FI7@HIDDEN>)
 id 1cWoUg-0005t2-4C
 for submit <at> debbugs.gnu.org; Thu, 26 Jan 2017 13:09:58 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53058)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from
 <3bDuKWA0KDdU1C5O8LK385JFE7FF7C5.3FD2L7-7EL-5D13J7EL.FI7@HIDDEN>)
 id 1cWoUb-0008GR-3C
 for bug-gnu-emacs@HIDDEN; Thu, 26 Jan 2017 13:09:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from
 <3bDuKWA0KDdU1C5O8LK385JFE7FF7C5.3FD2L7-7EL-5D13J7EL.FI7@HIDDEN>)
 id 1cWoUZ-0005sd-22
 for bug-gnu-emacs@HIDDEN; Thu, 26 Jan 2017 13:09:53 -0500
Received: from mail-yb0-x24a.google.com ([2607:f8b0:4002:c09::24a]:33298)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from
 <3bDuKWA0KDdU1C5O8LK385JFE7FF7C5.3FD2L7-7EL-5D13J7EL.FI7@HIDDEN>)
 id 1cWoUY-0005sK-SF
 for bug-gnu-emacs@HIDDEN; Thu, 26 Jan 2017 13:09:50 -0500
Received: by mail-yb0-x24a.google.com with SMTP id j82so2343145ybg.0
 for <bug-gnu-emacs@HIDDEN>; Thu, 26 Jan 2017 10:09:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=20161025;
 h=date:message-id:mime-version:subject:from:to;
 bh=fS3BgjuKyFF3OioIGTilycFg6Az9uxs5izaRg4k0G34=;
 b=eAqhr1MccrdgGry4VagRSkYg1iw428ZKuaaNDoiK8DvbXiXg+oIVBInmqkqfe9DiMp
 2Ry/mI5OJXjh5kRrg32nALeZUVLlwqt/RLckjNDUquQyuQKZYwd3UKzGGF/3pOkX1Ns/
 hyOAAFcypiON+2j+Tr46Df/qph66jyb9MeZI/Gp2zjcfHGaMvYtqDIihxzk42JLQRkCG
 B9L7lWKb1DcobHwIb27G9cLwlG5I0nEcBk6y3gc4DEVFL4IwQYyla8Z8NNFtlNKie5WW
 Uv8GJCPndsYRBp/5HugQRIcrpRhVunOB8KKEtL5Wkbl8nK6Uyhf+P1GTrPCnLKLVzTY2
 wNIg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:message-id:mime-version:subject:from:to;
 bh=fS3BgjuKyFF3OioIGTilycFg6Az9uxs5izaRg4k0G34=;
 b=AxAIRrVQYEKe2Sav5mfZ40hOPRhuU/ohP4ss8kr+/Y3NM/QHqz3em75NCndI+7NjSC
 ZfXWIcjBeaGvyxxCeWWInistF2DYuerapghJJ4EvsM4cxvJySTB5kLyGTX8nYoqy7p9P
 wEr3sG6hVRNWHwO7XaTFX1x8Ns6vEu4djT0d9+3F8rbYbx4Ydr+0vZg/n+65pzzmwJUF
 drWqHD4dizMBUAJOIVz1BrB3kdUScxnjNwD6HyCB1/jucMlrtnbgZFNsC4YESqCwW7P2
 XliMzZcE7TJ4JxjohaJK7biZn9XBGNLsggim5uolF4bzmRJD7ynZHFgXN0kEX7OR5R4y
 m++A==
X-Gm-Message-State: AIkVDXKyv3ZyM+Znjifzd0r9wvSkSwaVc20WV6Tj+cQjqw/C+Uzl95GnXOEAmxzCrQ8NiLtRAKM1YN85hlDeHzHbwvb0i6EBQ/COyJKF13czYOrM8naiIVubZ0O+MyvhBtWRmo+/TqUaZNkCAV5TKMdEXy8OLm2+bpvXyoVHpqEUeFBX+1Lp8+OEubtNbgfDVNuWfdGcGw==
X-Received: by 10.13.200.3 with SMTP id k3mr1000995ywd.136.1485454188180; Thu,
 26 Jan 2017 10:09:48 -0800 (PST)
Date: Thu, 26 Jan 2017 13:09:46 -0500
Message-Id: <u49xmved1ymt.fsf@HIDDEN>
Mime-Version: 1.0
Subject: 25.1.91; emacsclient -c creates frames on the wrong display
From: Alex Hutcheson <alexhutcheson@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8; format=flowed; delsp=yes
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

When an emacsclient running in a terminal is connected to an Emacs
instance running in a graphical environment, running `emacsclient -c'
from a comint buffer (such as M-x shell) creates a frame in the
graphical environment, where it may be inaccessible to the user who
ran the command.

To reproduce:
1. Run `emacs --daemon' on a system with a graphical display.
2. Login to the system using a terminal with no graphical display. You
    could do this by switching to another virtual terminal (Ctrl-Alt-F1
    works on Ubuntu), or SSH in from another machine.
3. Run `emacsclient -c' or `emacsclient -t' in the terminal to connect
    to the running Emacs instance.
4. Inside Emacs, run M-x shell.
5. In the M-x shell buffer, run `emacsclient -c'.

Ideal behavior: emacsclient creates a frame on the current terminal.
Actual behavior: emacsclient creates a graphical frame in the
   environment in which it was launched, which is inaccessible from the
   terminal.

Possible questions:

Q : Why would you want to run emacsclient from within M-x shell? Why
     not just do whatever you want to do in the frame you already have
     open?
A : Normally the user isn't launching emacsclient directly. Instead,
     a script might be launching emacsclient as part of a larger
     workflow.

Q : Why not just launch emacsclient without the '-c' option?
A : Without the -c flag, emacsclient works well to edit a file or
     series of files, but it doesn't support more complicated tasks.
     For example, a script might want to launch an ediff session, and
     wait until the ediff session exits. The easiest way to do this is
     to use `emacsclient -c' and wait for the connection to be closed.


In GNU Emacs 25.1.91.1 (x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars),  
modified by Debian
Windowing system distributor 'The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04 LTS

Configured using:
  'configure --build x86_64-linux-gnu --build x86_64-linux-gnu
  --prefix=/usr --sharedstatedir=/var/lib --libexecdir=/usr/lib
  --localstatedir=/var/lib --infodir=/usr/share/info
  --mandir=/usr/share/man --with-pop=yes
   
--enable-locallisppath=/etc/google-emacs:/etc/emacs:/usr/local/share/emacs/25.1.91+gg1+2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.1.91+gg1+2/site-lisp:/usr/share/emacs/site-lisp
  --with-crt-dir=/usr/lib/x86_64-linux-gnu --disable-build-details
  --disable-silent-rules --with-modules GOOGLE_VERSION=25.1.91+gg1+2
  --with-x=yes --with-x-toolkit=lucid --with-toolkit-scroll-bars
  --without-gconf --without-gsettings build_alias=x86_64-linux-gnu
  'CFLAGS=-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat
  -Werror=format-security -Wall' 'LDFLAGS=-Wl,-Bsymbolic-functions
  -Wl,-z,relro -Wl,-fuse-ld=gold,--export-dynamic-symbol=__google_auxv'
  'CPPFLAGS=-D_FORTIFY_SOURCE=2 -DGOOGLE_EMACS_DEFINE_AUXV''

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS NOTIFY
LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS LUCID X11 MODULES

Important settings:
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: @im=ibus
   locale-coding-system: utf-8-unix

Major mode: Message

Minor modes in effect:
   mml-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   auto-fill-function: message-do-auto-fill
   transient-mark-mode: t
   abbrev-mode: t

Recent messages:
Sending...
Mark set
Fix continuation lines? (y or n) y [59 times]
Mark set
Sending via mail...
if: Mail headers not found
Mark set
Sending...
Mark set [2 times]
Sending via mail...
if: Mail headers not found

Load-path shadows:
None found.

Features:
(pp shadow sort mail-extr emacsbug message format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
google-sendgmr sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils novice cl-extra help-fns help-mode easymenu misearch
multi-isearch dired-aux cl-loaddefs pcase cl-lib dired time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
font-render-setting x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 111409 15495)
  (symbols 48 20120 0)
  (miscs 40 211 363)
  (strings 32 15788 3029)
  (string-bytes 1 498060)
  (vectors 16 12877)
  (vector-slots 8 445607 5773)
  (floats 8 175 297)
  (intervals 56 4381 159)
  (buffers 976 29)
  (heap 1024 34656 1309))




Acknowledgement sent to Alex Hutcheson <alexhutcheson@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25547; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 8 Feb 2018 01:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.